unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ATXPtask, StdCtrls, jpeg;

type
  TForm1 = class(TForm)
    XPTask1: TXPTask;
    XPSectionLabel1: TXPSectionLabel;
    XPHoverLabel1: TXPHoverLabel;
    XPHoverLabel2: TXPHoverLabel;
    Panel1: TPanel;
    XPSectionLabel2: TXPSectionLabel;
    CheckBox1: TCheckBox;
    RadioGroup1: TRadioGroup;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    GroupBox1: TGroupBox;
    XPSectionLabel3: TXPSectionLabel;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    XPSectionLabel4: TXPSectionLabel;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    Image1: TImage;
    Label1: TLabel;
    XPHoverLabel3: TXPHoverLabel;
    Button1: TButton;
    XPHoverLabel4: TXPHoverLabel;
    XPHoverLabel5: TXPHoverLabel;
    Image2: TImage;
    Image3: TImage;
    CheckBox10: TCheckBox;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure XPTask1CloseButtonClick(Sender: TObject);
    procedure CheckBox9Click(Sender: TObject);
    procedure XPHoverLabel2Click(Sender: TObject);
    procedure XPHoverLabel3Click(Sender: TObject);
    procedure XPHoverLabel5Click(Sender: TObject);
    procedure XPHoverLabel1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox10Click(Sender: TObject);
  private
    { Private declarations }
    defPicture : Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses ShellApi;

procedure TForm1.Button1Click(Sender: TObject);
begin
close;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
 XPTask1.Animated := CheckBox1.Checked;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 if RadioGroup1.ItemIndex = 0 then
  XPTask1.Style := xpWindows else XPTask1.Style := xpOffice;

  case RadioGroup1.ItemIndex of
  0: begin
      XPTask1.Style := xpWindows;
      XPTask1.Title.Color := $00FF9D7F;
      XPTask1.Color := $00F5DFD6;
      XPTask1.Title.ColorIsMinimized := $00F5DFD6;
      Form1.Color := $00FEC9B1;
     end;

  1: begin
      XPTask1.Style := xpOffice;
      XPTask1.Color := $00EAEAEA;
      XPTask1.Title.Color := $00CED6D6;
      XPTask1.Title.ColorIsMinimized := $00EAEAEA;
      Form1.Color := clBtnFace;
     end;

  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
 XPTask1.Moveable := CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
 XPTask1.Sizeable := CheckBox3.Checked;
end;

procedure TForm1.CheckBox8Click(Sender: TObject);
begin
 XPTask1.Title.Visible := CheckBox8.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
 XPTask1.Title.ButtonSpin.Enabled := CheckBox5.Checked;
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
 XPTask1.Title.ButtonClose.Enabled := CheckBox7.Checked;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
 XPTask1.Title.ButtonSpin.Visible := CheckBox6.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
 XPTask1.Title.ButtonClose.Visible := CheckBox4.Checked;
end;

procedure TForm1.XPTask1CloseButtonClick(Sender: TObject);
begin
 XPTask1.Hide;
 CheckBox9.Checked := XPTask1.Visible;
end;

procedure TForm1.CheckBox9Click(Sender: TObject);
begin
 XPTask1.Visible := CheckBox9.Checked;
end;

procedure TForm1.XPHoverLabel2Click(Sender: TObject);
var tc: TComponent;
begin
 XPTask1.DisableAlign;
 XPTask1.MinimizeTask;
 if not XPSectionLabel1.Visible then
  begin
   tc := FindComponent('taskCommetns1');
   if tc <> nil then TLabel(tc).free;
   XPHoverLabel4.Visible := False;
  end
 else
  begin
   XPHoverLabel4.Visible := True;
   with Tlabel.Create(Self) do
   begin
    Name := 'taskCommetns1';
    Top :=   30;
    left :=  10;
    Transparent := True;
    WordWrap := True;
    Anchors := [akLeft, akTop, akRight];
    caption := 'Hi everybody ! How are you to day? Very well, thank you. Using Microsoft Windows XP'+
               ' or Office XP design style for you application? YES !';
    Width := XPTask1.Width-20;
    Height := 60;
    Parent := XPTask1;
   end;
  end;

 XPHoverLabel1.Visible := (not XPHoverLabel1.Visible);
 XPHoverLabel2.Visible := (not XPHoverLabel2.Visible);
 XPHoverLabel5.Visible := (not XPHoverLabel5.Visible);
 XPSectionLabel1.Visible := (not XPSectionLabel1.Visible);

 XPTask1.MaximizeTask;
 XPTask1.EnableAlign;
 XPTask1.Refresh;
end;

procedure TForm1.XPHoverLabel3Click(Sender: TObject);
begin
 ShellExecute(Handle,nil,pchar('mailto:atsoft@host.sk?subject=About atComponents'),nil,'',0);
end;

procedure TForm1.XPHoverLabel5Click(Sender: TObject);
begin
 ShellExecute(Handle,'open',pchar(GetCurrentDir+'\readme.txt'),'',nil,SW_SHOW);
end;

procedure TForm1.XPHoverLabel1Click(Sender: TObject);
begin
 if defPicture then
  begin
   XPTask1.Title.ButtonSpin.Glyph.Assign(Image2.Picture.Bitmap);
   XPTask1.Title.ButtonClose.Glyph.Assign(Image3.Picture.Bitmap);
  end
 else
  begin
   XPTask1.Title.ButtonSpin.Glyph := nil;
   XPTask1.Title.ButtonClose.Glyph := nil;
  end;

 defPicture := (not defPicture);
 XPTask1.Refresh;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   defPicture := True;
end;

procedure TForm1.CheckBox10Click(Sender: TObject);
begin
 XPTask1.Sound := CheckBox10.Checked;
end;

end.
